org.eclipse.jetty.annotations

## Class ContainerInitializerAnnotationHandler

- java.lang.Object
- - org.eclipse.jetty.annotations.ContainerInitializerAnnotationHandler

All Implemented Interfaces:
  AnnotationParser.DiscoverableAnnotationHandler, AnnotationParser.Handler

    public class ContainerInitializerAnnotationHandler
    extends Object
    implements AnnotationParser.DiscoverableAnnotationHandler

ContainerInitializerAnnotationHandler Discovers classes that contain the specified annotation, either at class or method level. The specified annotation is derived from an @HandlesTypes on a ServletContainerInitializer class.

### Constructor Summary

Constructors
Constructor and Description
`ContainerInitializerAnnotationHandler(ContainerInitializer initializer, Class annotation)`

### Method Summary

Methods
`String` `getAnnotationName()` Get the name of the annotation processed by this handler.
`ContainerInitializer` `getContainerInitializer()`
`void` `handleClass(String className, int version, int access, String signature, String superName, String[] interfaces, String annotationName, List<AnnotationParser.Value> values)` Handle finding a class that is annotated with the annotation we were constructed with.
`void` `handleField(String className, String fieldName, int access, String fieldType, String signature, Object value, String annotation, List<AnnotationParser.Value> values)` Process an annotation that was discovered on a field
`void` `handleMethod(String className, String methodName, int access, String params, String signature, String[] exceptions, String annotation, List<AnnotationParser.Value> values)` Process an annotation that was discovered on a method

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ContainerInitializerAnnotationHandler

    public ContainerInitializerAnnotationHandler(ContainerInitializer initializer,
                                         Class annotation)

### Method Detail

#### handleClass

    public void handleClass(String className,
                   int version,
                   int access,
                   String signature,
                   String superName,
                   String[] interfaces,
                   String annotationName,
                   List<AnnotationParser.Value> values)

Handle finding a class that is annotated with the annotation we were constructed with.

Specified by:
  `handleClass` in interface `AnnotationParser.DiscoverableAnnotationHandler`
See Also:
  `AnnotationParser.DiscoverableAnnotationHandler.handleClass(java.lang.String, int, int, java.lang.String, java.lang.String, java.lang.String[], java.lang.String, java.util.List)`

#### handleField

    public void handleField(String className,
                   String fieldName,
                   int access,
                   String fieldType,
                   String signature,
                   Object value,
                   String annotation,
                   List<AnnotationParser.Value> values)

Description copied from interface: `AnnotationParser.DiscoverableAnnotationHandler`
Process an annotation that was discovered on a field

Specified by:
  `handleField` in interface `AnnotationParser.DiscoverableAnnotationHandler`

#### handleMethod

    public void handleMethod(String className,
                    String methodName,
                    int access,
                    String params,
                    String signature,
                    String[] exceptions,
                    String annotation,
                    List<AnnotationParser.Value> values)

Description copied from interface: `AnnotationParser.DiscoverableAnnotationHandler`
Process an annotation that was discovered on a method

Specified by:
  `handleMethod` in interface `AnnotationParser.DiscoverableAnnotationHandler`

#### getAnnotationName

    public String getAnnotationName()

Description copied from interface: `AnnotationParser.DiscoverableAnnotationHandler`
Get the name of the annotation processed by this handler. Can be null

Specified by:
  `getAnnotationName` in interface `AnnotationParser.DiscoverableAnnotationHandler`
Returns:

#### getContainerInitializer

    public ContainerInitializer getContainerInitializer()